Dropbox v1 retired error,erpnext version7

Traceback (most recent call last):
File “/home/ubuntu/frappe-bench-v7/apps/frappe/frappe/integrations/doctype/dropbox_backup/dropbox_backup.py”, line 44, in take_backups_dropbox
did_not_upload, error_log = backup_to_dropbox()
File “/home/ubuntu/frappe-bench-v7/apps/frappe/frappe/integrations/doctype/dropbox_backup/dropbox_backup.py”, line 141, in backup_to_dropbox
dropbox_client = upload_file_to_dropbox(filename, “/database”, dropbox_client)
File “/home/ubuntu/frappe-bench-v7/apps/frappe/frappe/integrations/doctype/dropbox_backup/dropbox_backup.py”, line 238, in upload_file_to_dropbox
uploader.upload_chunked()
File “/home/ubuntu/frappe-bench-v7/env/local/lib/python2.7/site-packages/dropbox/client.py”, line 1182, in upload_chunked
BytesIO(self.last_block), next_chunk_size, self.offset, self.upload_id)
File “/home/ubuntu/frappe-bench-v7/env/local/lib/python2.7/site-packages/dropbox/client.py”, line 262, in upload_chunk
raise e
ErrorResponse: [400] u’v1_retired’

How to solve this

My rough guess options are to upgrade v8 and/or delete old Dropbox settings and create a new settings for v2?

1 Like

Here’s a discussion post

Dropbox API v2. Will this change affect current fuctionality?

Also this Dropbox API version retired